<?php


use \Drupal\content_export_yaml\ContentExport ;

function content_export_yaml_drush_command() {
  $items = [];
  $items['cex-node'] = [
    'description' => 'Export Content Node',
      'aliases' => ['cexn'],
      'arguments' => [
        'bundle' => 'The split configuration to export, if none is given do a normal import.',
        'id' => 'The split configuration to export, if none is given do a normal import.',
      ],
  ];
  $items['cim-node'] = [
    'description' => 'Import Content Node',
    'aliases' => ['cimn'],
    'arguments' => [
      'bundle' => 'The split configuration to export, if none is given do a normal import.',
      'id' => 'The split configuration to export, if none is given do a normal import.',
    ],
  ];

  return $items;
}
function drush_content_export_yaml_cex_node($bundle,$id =null) {
    $export = new ContentExport();
    if($id){
      $start = $id;
      $end = $id;
    }else{
      drush_print('Please enter Range ID you want to export : ');
      $start = drush_prompt(dt('Start To : '));
      $end = drush_prompt(dt('End :  '));
    }
    if($id =='all'){
      $result =$export->load_node_list($bundle);
    }else{
      $result =$export->load_node_list($bundle,[$start,$end]);
    }
    if(!empty($result)){
      if (drush_confirm(dt('Find items '.sizeof($result).' , Are you sure to continue the process ?'))) {
        $total = sizeof($result);
        foreach ($result as $key => $item){
                              $info = [
                                  'id' => $item->nid,
                                  'index' => $key+1,
                                  'total' => $total,
                              ];
                              $operations[] = [
                                  'content_export_yaml_index_batch_process',
                                  [$info],
                              ];
        }
                        $batch = array(
                            'operations' => $operations,
                            'title' => t('Export node content process'),
                            'init_message' => t('Starting...'),
                            'progress_message' => t('Completed @current of @total.'),
                            'error_message' => t('An error occurred'),
                            'finished' => 'content_export_batch_finish',
                            'file' => drupal_get_path('module', 'content_export_yaml') . '/drush/content_export_yaml.batch.inc',
                        );
                        // Start the batch job.
                        batch_set($batch);
                        drush_backend_batch_process();
      }else{
        drush_print('Content Export Canceled');
      }
    }else{
      drush_print('No items are found');
    }

    $results=[];
    $count =0;
    $entity_type = null ;
    $entity_name =null;


}
function drush_content_export_yaml_cim_node($bundle,$id = null) {
  $export = new ContentExport();
  if($id){
    $start = $id;
    $end = $id;
  }else{
    drush_print('Please enter Range file ID you want to insert : ');
    $start = drush_prompt(dt('Start To'));
    $end = drush_prompt(dt('End'));
  }
  if($id == 'all'){
    $result =$export->load_node_config_list($bundle);
  }else{
    $result =$export->load_node_config_list($bundle,[$start,$end]);
  }
  if(!empty($result)){
    if (drush_confirm(dt('Find items '.sizeof($result).' , Are you sure to continue the process ?'))) {
      $total = sizeof($result);
      foreach ($result as $key => $item){
        $info = [
          'id' => $item,
          'index' => $key,
          'total' => $total,
        ];
        $operations[] = [
          'content_export_yaml_import_index_batch_process',
          [$info],
        ];
      }
      $batch = array(
        'operations' => $operations,
        'title' => t('Import node content process'),
        'init_message' => t('Starting...'),
        'progress_message' => t('Completed @current of @total.'),
        'error_message' => t('An error occurred'),
        'finished' => 'content_export_batch_finish',
        'file' => drupal_get_path('module', 'content_export_yaml') . '/drush/content_export_yaml.batch.inc',
      );
      // Start the batch job.
      batch_set($batch);
      drush_backend_batch_process();
    }else{
      drush_print('Content Export Canceled');
    }
  }else{
    drush_print('No items are found');
  }

}


